Bug 127606 - Create some latched scrolling tests
Summary: Create some latched scrolling tests
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh All
: P2 Normal
Assignee: Brent Fulgham
URL:
Keywords: InRadar
Depends on: 128781
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-24 20:30 PST by Brent Fulgham
Modified: 2014-05-19 11:10 PDT (History)
9 users (show)

See Also:


Attachments
Patch (159.94 KB, patch)
2014-02-13 14:29 PST, Brent Fulgham
no flags Details | Formatted Diff | Diff
Patch (160.06 KB, patch)
2014-02-13 18:02 PST, Brent Fulgham
no flags Details | Formatted Diff | Diff
Patch (159.98 KB, patch)
2014-02-13 20:02 PST, Brent Fulgham
no flags Details | Formatted Diff | Diff
Patch (160.17 KB, patch)
2014-02-13 20:09 PST, Brent Fulgham
bdakin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brent Fulgham 2014-01-24 20:30:55 PST
Our current test infrastructure doesn't guard against changes in latching behavior. Extend the test system to cover this region of the system.
Comment 1 Radar WebKit Bug Importer 2014-01-26 13:47:42 PST
<rdar://problem/15911348>
Comment 2 Brent Fulgham 2014-02-13 14:15:11 PST
Extend the test system EventSender with a new method to send wheel events (including momentum phase). Also create a new set of tests that use this feature.
Comment 3 Brent Fulgham 2014-02-13 14:29:11 PST
Created attachment 224110 [details]
Patch
Comment 4 Brent Fulgham 2014-02-13 16:13:07 PST
The #defines for wheel event symbol were not included in CGEventTypes.h as API until 10.9. I'll just provide equivalent definitions for OS 10.8 and prior, which we can remove once we stop supporting that build.
Comment 5 Brent Fulgham 2014-02-13 16:16:29 PST
On second thought, since I already use the ordinals in the WK2 handler (to avoid pulling in a bunch of Cocoa headers), I'll just use the same implementation in the WK1 handler and avoid the issue altogether.
Comment 6 Brent Fulgham 2014-02-13 16:17:48 PST
Committed r164073: <http://trac.webkit.org/changeset/164073>
Comment 7 WebKit Commit Bot 2014-02-13 17:36:16 PST
Re-opened since this is blocked by bug 128781
Comment 8 Brent Fulgham 2014-02-13 18:02:45 PST
Created attachment 224139 [details]
Patch
Comment 9 Brent Fulgham 2014-02-13 20:02:24 PST
Created attachment 224151 [details]
Patch
Comment 10 Brent Fulgham 2014-02-13 20:09:05 PST
Created attachment 224152 [details]
Patch
Comment 11 Brent Fulgham 2014-02-14 10:02:07 PST
Committed r164105: <http://trac.webkit.org/changeset/164105>
Comment 12 Ryosuke Niwa 2014-02-15 00:14:36 PST
This patch caused a fatal CQ failure because CQ bots had 10.9 SDK installed, which meant that kCGScrollWheelEventMomentumPhase was defined in headers.

Used MAC_OS_X_VERSION_MAX_ALLOWED instead of work around this in http://trac.webkit.org/changeset/164159
Comment 13 Brent Fulgham 2014-02-15 10:58:02 PST
(In reply to comment #12)
> This patch caused a fatal CQ failure because CQ bots had 10.9 SDK installed, which meant that kCGScrollWheelEventMomentumPhase was defined in headers.
> 
> Used MAC_OS_X_VERSION_MAX_ALLOWED instead of work around this in http://trac.webkit.org/changeset/164159

Thank you for tracking this down. Sorry for the inconvenience. :(
Comment 14 Alexey Proskuryakov 2014-05-19 10:54:17 PDT
These tests fail on WebKit2 bots: http://build.webkit.org/results/Apple%20Mavericks%20Debug%20WK2%20(Tests)/r169047%20(4750)/results.html

This is not reported correctly, because the tests fail on first try, and then can't find pixel results on retry. The reason why it tries pixel tests is that there is a call to testRunner.dumpAsText(true) instead of testRunner.dumpAsText(). "true" is a crazy option that means that we'll dump as text, but then make pixel results too.
Comment 15 Simon Fraser (smfr) 2014-05-19 11:10:49 PDT
Some of these fail because of zalan's offsetWidth changes.